﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections;
using Infragistics.Controls.Grids;

namespace XamGridHeaderResize
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            IEnumerable Data = GetSampleData();
            MainGrid.AutoGenerateColumns = false;
            MainGrid.ColumnLayouts.Add(InitColumns());
            MainGrid.ItemsSource = Data;
        }

        private ColumnLayout InitColumns()
        {
            var layout = new ColumnLayout() { Key = "XamWebGrid_Root_XamWebGrid" };
            var gc = new GroupColumn() { Key = "Group" };
            gc.Columns.Add(new TextColumn() { Key = "Item1" });
            gc.Columns.Add(new TextColumn() { Key = "Item2" });
            layout.Columns.Add(gc);
            layout.Columns.Add(new TextColumn() { Key = "Item3" });
            return layout;
        }

        private IEnumerable GetSampleData()
        {
            var data = new List<Tuple<string,string,string>>();

            for (int i = 0, j = 0, k = 0; i < 20; i++, j+=2, k+=3)
            {
                data.Add(new Tuple<string, string, string>("a" + i, "b" + j, "c" + k));
            }
            return data;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            MainGrid.ColumnLayouts["XamWebGrid_Root_XamWebGrid"].Columns.Remove(MainGrid.ColumnLayouts["XamWebGrid_Root_XamWebGrid"].Columns["Group"]);
        }
    }
}
